![React95 Logo](packages/design/logo/React95-clouds.png)

# React95

[![OSAwards](https://img.shields.io/badge/osawards-Fun%20side%20project%20of%20the%20year-brightgreen.svg)](https://twitter.com/ReactAmsterdam/status/1116707269956251648)
[![All Contributors](https://img.shields.io/badge/all_contributors-4-orange.svg?style=flat-square)](#contributors)
[![React95 - Publish workflow](https://github.com/React95/React95/workflows/React95%20-%20Publish%20workflow/badge.svg)](https://github.com/React95/React95/actions)
[![Commitizen friendly](https://img.shields.io/badge/commitizen-friendly-brightgreen.svg)](http://commitizen.github.io/cz-cli/)
[![style: styled-components](https://img.shields.io/badge/style-%F0%9F%92%85%20styled--components-orange.svg?colorB=daa357&colorA=db748e)](https://github.com/styled-components/styled-components)
[![lerna](https://img.shields.io/badge/maintained%20with-lerna-cc00ff.svg)](https://lerna.js.org/)
[![npm version](https://badge.fury.io/js/%40react95%2Fcore.svg)](https://www.npmjs.com/package/@react95/core)
[![Join the chat at https://gitter.im/React95/React95](https://badges.gitter.im/React95/React95.svg)](https://gitter.im/React95/React95?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
[![Follow @React95lib](https://img.shields.io/twitter/follow/React95lib)](https://twitter.com/intent/follow?screen_name=React95lib)
[![Figma Design kit](https://img.shields.io/badge/Figma-Design%20kit-blueviolet)](https://www.figma.com/file/2cbigNitjcruBDZT12ixIq/React95-Design-Kit)

React95 is a component library inspired on the **Windows 95** UI design.

## Packages

|  @react95/core                                                                                                                                                                                                                                              |                                                                                                                @react95/icons                                                                                                                 |                                                                                                                                                                                                                 @react95/clippy |                                                                                                                                                                                                                @react95/design |
| :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: | -----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: |
| [<img height="120" alt="React95 components simple example" title="React95 components simple example" src="https://raw.githubusercontent.com/React95/React95/master/assets/components.png" />](https://github.com/React95/React95/tree/master/packages/core) | [<img height="120" alt="React95 icons simple example" title="React95 icons simple example" src="https://raw.githubusercontent.com/React95/React95/master/assets/icons.png" />](https://github.com/React95/React95/tree/master/packages/icons) | [<img height="120" alt="React95 clippy agent" title="React95 clippy agent" src="https://raw.githubusercontent.com/React95/React95/master/assets/clippy.gif" />](https://github.com/React95/React95/tree/master/packages/clippy) | [<img height="120" alt="React95 Design Kit" title="React95 Design Kit" src="https://raw.githubusercontent.com/React95/React95/master/assets/designkit.png" />](https://github.com/React95/React95/tree/master/packages/design) |

## Roadmap

You can see what we have in mind to put on React95 at our [projects](https://github.com/React95/React95/projects) page.

## Development

If you'd like to help us out with the project, we welcome contributions of all types! Check out our [CONTRIBUTING.md](CONTRIBUTING.md) for more details on how you can help make React95 amazing!

## Awesome projects

- [95Recipes](https://github.com/ggdaltoso/95Recipes)
- [Kaio Felipe Silva's personal website](https://github.com/kaiofelipejs/kaiofelipejs.dev)
- [Lorenzo Pieri's personal website](https://github.com/LRNZ09/lrnz09.github.io)
- [Insaf Khamzin's portfolio website](https://github.com/InsafKhamzin/portfolio)
- [Janne Koivisto's portfolio website](https://janneilkka.com)
- [Tomas Nasjleti's personal website](https://tominasweb.com)

## Contributors

Thanks goes to these wonderful people ([emoji key](https://github.com/kentcdodds/all-contributors#emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://allysson.me/"><img src="https://avatars1.githubusercontent.com/u/13424727?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Allysson dos Santos</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=allyssonsantos" title="Documentation">📖</a> <a href="https://github.com/React95/React95/commits?author=allyssonsantos" title="Code">💻</a> <a href="#ideas-allyssonsantos" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://github.com/React95/React95/pulls?q=is%3Apr+reviewed-by%3Aallyssonsantos" title="Reviewed Pull Requests">👀</a></td>
    <td align="center"><a href="https://github.com/ggdaltoso"><img src="https://avatars0.githubusercontent.com/u/6536985?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Gabriel Daltoso</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=ggdaltoso" title="Documentation">📖</a> <a href="https://github.com/React95/React95/commits?author=ggdaltoso" title="Code">💻</a> <a href="#ideas-ggdaltoso" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://github.com/React95/React95/pulls?q=is%3Apr+reviewed-by%3Aggdaltoso" title="Reviewed Pull Requests">👀</a></td>
    <td align="center"><a href="https://github.com/gennymcdonagh"><img src="https://avatars1.githubusercontent.com/u/25296442?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Genny McDonagh</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=gennymcdonagh" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/andreloureiro"><img src="https://avatars0.githubusercontent.com/u/2106717?v=4?s=100" width="100px;" alt=""/><br /><sub><b>André Loureiro</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=andreloureiro" title="Code">💻</a></td>
    <td align="center"><a href="http://cieslak.dev"><img src="https://avatars0.githubusercontent.com/u/14146176?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Luiz Fernando da Silva Cieslak</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=luizcieslak" title="Documentation">📖</a> <a href="#ideas-luizcieslak" title="Ideas, Planning, & Feedback">🤔</a></td>
    <td align="center"><a href="https://github.com/lukehorvat"><img src="https://avatars2.githubusercontent.com/u/1034878?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Luke Horvat</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=lukehorvat" title="Documentation">📖</a></td>
    <td align="center"><a href="https://github.com/oddisland"><img src="https://avatars2.githubusercontent.com/u/20609161?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Blood Boy</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=oddisland" title="Code">💻</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://twitter.com/HelloVictorWang"><img src="https://avatars3.githubusercontent.com/u/12963675?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Victor</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=beizhedenglong" title="Code">💻</a></td>
    <td align="center"><a href="https://stackoverflow.com/users/6061376/thomaz-capra?tab=profile"><img src="https://avatars2.githubusercontent.com/u/13137325?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Thomaz Capra</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=thomazcapra" title="Code">💻</a> <a href="https://github.com/React95/React95/commits?author=thomazcapra" title="Tests">⚠️</a></td>
    <td align="center"><a href="https://github.com/accuvit"><img src="https://avatars0.githubusercontent.com/u/19792530?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Junior Campos</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=accuvit" title="Code">💻</a></td>
    <td align="center"><a href="http://antongunnarsson.com"><img src="https://avatars2.githubusercontent.com/u/6201720?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Anton Gunnarsson</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=anton-g" title="Code">💻</a></td>
    <td align="center"><a href="http://mikegsrv.ru"><img src="https://avatars1.githubusercontent.com/u/15021175?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Mike</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=mikegsrv" title="Code">💻</a> <a href="https://github.com/React95/React95/commits?author=mikegsrv" title="Tests">⚠️</a> <a href="https://github.com/React95/React95/issues?q=author%3Amikegsrv" title="Bug reports">🐛</a></td>
    <td align="center"><a href="https://twitter.com/drosenwasser"><img src="https://avatars2.githubusercontent.com/u/972891?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Daniel Rosenwasser</b></sub></a><br /><a href="https://github.com/React95/React95/issues?q=author%3ADanielRosenwasser" title="Bug reports">🐛</a> <a href="https://github.com/React95/React95/commits?author=DanielRosenwasser" title="Documentation">📖</a> <a href="https://github.com/React95/React95/commits?author=DanielRosenwasser" title="Code">💻</a> <a href="https://github.com/React95/React95/commits?author=DanielRosenwasser" title="Tests">⚠️</a></td>
    <td align="center"><a href="https://github.com/ddsilva"><img src="https://avatars1.githubusercontent.com/u/755101?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Daniel Silva</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=ddsilva" title="Tests">⚠️</a></td>
  </tr>
  <tr>
    <td align="center"><a href="http://kaiofelipejs.dev"><img src="https://avatars2.githubusercontent.com/u/41922744?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Kaio Felipe Silva</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=kaiofelipejs" title="Documentation">📖</a> <a href="https://github.com/React95/React95/commits?author=kaiofelipejs" title="Code">💻</a> <a href="https://github.com/React95/React95/commits?author=kaiofelipejs" title="Tests">⚠️</a></td>
    <td align="center"><a href="https://lorenzopieri.dev"><img src="https://avatars2.githubusercontent.com/u/13508373?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Lorenzo Pieri</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=LRNZ09" title="Documentation">📖</a></td>
    <td align="center"><a href="http://insafkhamzin.com"><img src="https://avatars3.githubusercontent.com/u/27154217?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Insaf</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=InsafKhamzin" title="Documentation">📖</a></td>
    <td align="center"><a href="https://theoomoregbee.me"><img src="https://avatars3.githubusercontent.com/u/10440327?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Theophilus Omoregbee</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=theoomoregbee" title="Code">💻</a> <a href="https://github.com/React95/React95/issues?q=author%3Atheoomoregbee" title="Bug reports">🐛</a></td>
    <td align="center"><a href="https://github.com/belakm"><img src="https://avatars2.githubusercontent.com/u/13392444?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Mitja Belak</b></sub></a><br /><a href="https://github.com/React95/React95/issues?q=author%3Abelakm" title="Bug reports">🐛</a> <a href="https://github.com/React95/React95/commits?author=belakm" title="Code">💻</a></td>
    <td align="center"><a href="http://janneilkka.com"><img src="https://avatars3.githubusercontent.com/u/49063172?v=4?s=100" width="100px;" alt=""/><br /><sub><b>janneilkka</b></sub></a><br /><a href="#design-janneilkka" title="Design">🎨</a> <a href="#ideas-janneilkka" title="Ideas, Planning, & Feedback">🤔</a></td>
    <td align="center"><a href="http://tominasweb.com"><img src="https://avatars1.githubusercontent.com/u/32068891?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Tomas Nasjleti</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=TomAndril" title="Documentation">📖</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/mctang719"><img src="https://avatars0.githubusercontent.com/u/17521191?v=4?s=100" width="100px;" alt=""/><br /><sub><b>mctang719</b></sub></a><br /><a href="https://github.com/React95/React95/issues?q=author%3Amctang719" title="Bug reports">🐛</a></td>
    <td align="center"><a href="https://github.com/JohannesMerz"><img src="https://avatars.githubusercontent.com/u/11529353?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Johannes Merz</b></sub></a><br /><a href="https://github.com/React95/React95/issues?q=author%3AJohannesMerz" title="Bug reports">🐛</a></td>
    <td align="center"><a href="https://github.com/sparky-raccoon"><img src="https://avatars.githubusercontent.com/u/16033537?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Andrea Saez</b></sub></a><br /><a href="https://github.com/React95/React95/issues?q=author%3Asparky-raccoon" title="Bug reports">🐛</a></td>
    <td align="center"><a href="https://github.com/kirkobyte"><img src="https://avatars.githubusercontent.com/u/6798667?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Kirk Holloway</b></sub></a><br /><a href="https://github.com/React95/React95/commits?author=kirkobyte" title="Code">💻</a> <a href="https://github.com/React95/React95/commits?author=kirkobyte" title="Documentation">📖</a> <a href="#ideas-kirkobyte" title="Ideas, Planning, & Feedback">🤔</a></td>
    <td align="center"><a href="https://www.bojagi.io"><img src="https://avatars.githubusercontent.com/u/1235818?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Simon Jentsch</b></sub></a><br /><a href="#infra-tchock" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a></td>
    <td align="center"><a href="https://sime.net.au/"><img src="https://avatars.githubusercontent.com/u/216917?v=4?s=100" width="100px;" alt=""/><br /><sub><b>Simon Males</b></sub></a><br /><a href="#infra-sime" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a></td>
  </tr>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/kentcdodds/all-contributors) specification. Contributions of any kind welcome!
